.toc a {
  color: #fff !important;
  text-decoration: none !important;
}

.navbar a {
  color: #fff !important;
  text-decoration: none !important;
  font-family: 'Golos Text', sans-serif !important;
  font-weight: 300 !important;
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
  height: 100% !important;
  position: relative !important;
  transition: all 0.3s ease !important;
  z-index: 3 !important;
  border-top: 2px solid transparent !important;
  border-bottom: 2px solid transparent !important;
  overflow: visible !important;
}

.navbar a:hover {
  background-color: #e53935 !important;
  border-bottom: 2px solid #fff !important;
  transform: translateY(-2px) !important;
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.2) !important;
  z-index: 100 !important;
  overflow: visible !important;
}

.navbar a::before,
.navbar a::after {
  content: "" !important;
  position: absolute !important;
  width: 0 !important;
  height: 2px !important;
  background-color: #fff !important;
  transition: all 0.3s ease !important;
  opacity: 0.2 !important;
}

.navbar a::before {
  top: 0 !important;
  left: 50% !important;
  transform-origin: left !important;
  opacity: 0.4 !important;
}

.navbar a::after {
  bottom: 0 !important;
  right: 50% !important;
  transform-origin: right !important;
  opacity: 0.4 !important;
}

.navbar a:hover::before,
.navbar a:hover::after {
  width: 100% !important;
  opacity: 1 !important;
}

.navbar a:hover::before {
  left: 0 !important;
}

.navbar a:hover::after {
  right: 0 !important;
}

.navbar .active {
  background-color: #e53935 !important;
  border-bottom: 2px solid #fff !important;
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1) !important;
  z-index: 100 !important;
  overflow: visible !important;
}

.navbar .active:hover::before,
.navbar .active:hover::after {
  width: 0 !important;
  opacity: 0.2 !important;
}

a {
  color: #c62828 !important; /* Slightly darker shade of red */
  text-decoration: none !important;
  position: relative !important;
}

a::after {
  content: "" !important;
  position: absolute !important;
  bottom: -2px !important;
  left: 0 !important;
  width: 100% !important;
  height: 1px !important;
  background-color: #c62828 !important; /* Same darker shade of red */
  opacity: 0.5 !important;
  transform: scaleX(0) !important;
  transform-origin: left !important;
  transition: transform 0.3s ease !important;
}

a:hover::after {
  transform: scaleX(1) !important;
}

a:hover {
  text-shadow: 0.15px 0.15px 0.3px rgba(255, 255, 255, 1) !important; /* White shadow */
}
